import axios from 'axios';
import {
  ReviewStatInfo,
  ReviewStatListPageParams,
  ReviewStatListPageRes,
  FullReviewListPageParams,
  FullReviewListPageRes,
  ScoreCheckListPageRes,
} from './types/review';

// 复核管理
// 获取复核进度统计信息
export function getReviewStatInfo(): Promise<ReviewStatInfo> {
  return axios.post('/api/review/stat/info');
}

// 获取复核进度列表信息
export function getReviewStatList(
  params: ReviewStatListPageParams
): Promise<ReviewStatListPageRes> {
  return axios.post('/api/review/stat/list', {}, { params });
}

// 获取全卷复核列表信息
export function getFullReviewList(
  params: FullReviewListPageParams
): Promise<FullReviewListPageRes> {
  return axios.post('/api/review/full/list', {}, { params });
}

// 获取成绩校验列表信息
export function getScoreCheckList(): Promise<ScoreCheckListPageRes> {
  return axios.post('/api/review/score/check/list', {});
}
